Collected Variables (Slots) now available in Post-call Webhooks and Call APIs

The collected_variables field is now included in post-call webhook payloads and call API responses. This field contains collected variables (slots) from your conversation flows, allowing you to access user-provided information programmatically.

Example Response:

1{
2 "collected_variables": {
3 "user_name": {
4 "value": "Julian",
5 "collected": true
6 },
7 "appointment_date": {
8 "value": "2025-10-28",
9 "collected": true
10 },
11 "user_email": {
12 "value": null,
13 "collected": false
14 }
15 }
16}

Updated endpoints:

EndpointTitle
GET /callsGet all calls
GET /calls/{call_id}Get a call

Post-call Webhook:

The collected_variables field is now included in the post-call webhook payload when configured.

Notes:

  • Each variable has a value (the collected data) and collected (boolean indicating successful collection)
  • The collected_variables field may be null if not available for a specific call
  • Variables are keyed by agent ID, then by variable name